-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlCom

Declaration :

- C++ : class UmlCom
- Java : class UmlCom

This class manages the communications
This class may be defined as a 'singleton', but I prefer to use static members allowing to just write 'UmlCom::member' rather than 'UmlCom::instance()->member' or other long sentence like this.
The operation you can use yourself are :
- connect()
- targetItem()
- trace()
- message()
- bye()
- close() you must NOT call the others

Artifact : UmlCom

Operation connect

Declaration :

- C++ : public: static bool connect(unsigned int port)
- Java : public static void connect(int port) throws RuntimeException

does the connexion On error return FALSE in C++, produce a RuntimeException in Java

Operation targetItem

Declaration :

- C++ : public: static UmlItem * targetItem()
- Java : public static UmlItem targetItem()

returns the item on which the tool is applied

Operation trace

Declaration :

- C++ : public: static void trace(const char * s)
- Java : public static void trace(String s)

to write messages in the tool window, use Qt rich text : allows HTML like formatting

Operation message

Declaration :

- C++ : public: static void message(const char * s)
- Java : public static void message(String s)

to write a message in the status bar line does not use Qt rich text

Operation bye

Declaration :

- C++ : public: static void bye()
- Java : public static void bye()

must be called just before the disconnexion

Operation close

Declaration :

- C++ : public: static void close()
- Java : public static void close()

disconnexion

Attribut sock

Declaration :

- C++ : private: static QSocketDevice * sock
- Java : private static Socket sock

Attribut is

Declaration :

- Java : private static DataInputStream is

Attribut os

Declaration :

- Java : private static DataOutputStream os

Attribut buffer_in

Declaration :

- C++ : private: static char * buffer_in
- Java : private static byte[] buffer_in

Attribut buffer_in_size

Declaration :

- C++ : private: static unsigned int buffer_in_size
- Java : private static int buffer_in_size

Attribut p_buffer_in

Declaration :

- C++ : private: static char * p_buffer_in
- Java : private static int p_buffer_in

Attribut buffer_in_end

Declaration :

- C++ : private: static char * buffer_in_end
- Java : private static int buffer_in_end

Attribut buffer_out

Declaration :

- C++ : private: static char * buffer_out
- Java : private static byte[] buffer_out

Attribut p_buffer_out

Declaration :

- C++ : private: static char * p_buffer_out
- Java : private static int p_buffer_out

Attribut buffer_out_size

Declaration :

- C++ : private: static unsigned int buffer_out_size
- Java : private static int buffer_out_size

Attribut id_size

Declaration :

- Java : private static byte id_size

Attribut empty_string

Declaration :

- Java : private static String empty_string

Extra Class Member initialization

Definition :

- Java :

        static { empty_string = new String(); }

Operation check_size_out

Declaration :

- C++ : protected: static void check_size_out(unsigned int len)
- Java : protected static void check_size_out(int len)

internal, do NOT use it

Operation read_if_needed

Declaration :

- C++ : protected: static void read_if_needed()
- Java : protected static void read_if_needed()

internal, do NOT use it

Operation read_buffer

Declaration :

- C++ : protected: static void read_buffer(unsigned int len)
- Java : protected static void read_buffer(int len)

internal, do NOT use it

Operation write_bool

Declaration :

- C++ : protected: static void write_bool(bool b)
- Java : protected static void write_bool(boolean b)

internal, do NOT use it

Operation write_char

Declaration :

- C++ : protected: static void write_char(char c)
- Java : protected static void write_char(byte c)

internal, do NOT use it

Operation write_unsigned

Declaration :

- C++ : protected: static void write_unsigned(unsigned int u)
- Java : protected static void write_unsigned(int u)

internal, do NOT use it

Operation write_id

Declaration :

- C++ : protected: static void write_id(const void * id)
- Java : protected static void write_id(long id)

internal, do NOT use it

Operation write_string

Declaration :

- C++ : protected: static void write_string(const char * p)
- Java : protected static void write_string(String p)

internal, do NOT use it

Operation send_cmd

Declaration :

- C++ : public: static void send_cmd(CmdFamily f, unsigned int cmd)
- Java : public static void send_cmd(CmdFamily f, int cmd)

internal, do NOT use it

Operation send_cmd

Declaration :

- C++ : public: static void send_cmd(CmdFamily f, unsigned int cmd, char arg)
- Java : public static void send_cmd(CmdFamily f, int cmd, byte arg)

internal, do NOT use it

Operation send_cmd

Declaration :

- C++ : public: static void send_cmd(CmdFamily f, unsigned int cmd, void * id)
- Java : public static void send_cmd(CmdFamily f, int cmd, long id)

internal, do NOT use it

Operation send_cmd

Declaration :

- C++ : public: static void send_cmd(CmdFamily f, unsigned int cmd, const char * s)
- Java : public static void send_cmd(CmdFamily f, int cmd, String s)

internal, do NOT use it

Operation send_cmd

Declaration :

- C++ : public: static void send_cmd(CmdFamily f, unsigned int cmd, void * id, const char * n)
- Java : public static void send_cmd(CmdFamily f, int cmd, long id, String n)

internal, do NOT use it

Operation send_cmd

Declaration :

- C++ : public: static void send_cmd(CmdFamily f, unsigned int cmd, const char * s, const char * v)
- Java : public static void send_cmd(CmdFamily f, int cmd, String s, String v)

internal, do NOT use it

Operation send_cmd

Declaration :

- C++ : public: static void send_cmd(CmdFamily f, unsigned int cmd, bool b, const char * s, const char * v)
- Java : public static void send_cmd(CmdFamily f, int cmd, boolean b, String s, String v)

internal, do NOT use it

Operation send_cmd

Declaration :

- C++ : public: static void send_cmd(const void * id, OnInstanceCmd cmd)
- Java : public static void send_cmd(long id, OnInstanceCmd cmd)

internal, do NOT use it

Operation send_cmd

Declaration :

- C++ : public: static void send_cmd(const void * id, OnInstanceCmd cmd, const char * arg)
- Java : public static void send_cmd(long id, OnInstanceCmd cmd, String arg)

internal, do NOT use it

Operation send_cmd

Declaration :

- C++ : public: static void send_cmd(const void * id, OnInstanceCmd cmd, char arg)
- Java : public static void send_cmd(long id, OnInstanceCmd cmd, byte arg)

internal, do NOT use it

Operation send_cmd

Declaration :

- C++ : public: static void send_cmd(const void * id, OnInstanceCmd cmd, unsigned int arg)
- Java : public static void send_cmd(long id, OnInstanceCmd cmd, int arg)

internal, do NOT use it

Operation send_cmd

Declaration :

- C++ : public: static void send_cmd(const void * id, OnInstanceCmd cmd, const UmlTypeSpec & arg)
- Java : public static void send_cmd(long id, OnInstanceCmd cmd, UmlTypeSpec arg)

internal, do NOT use it

Operation send_cmd

Declaration :

- C++ : public: static void send_cmd(const void * id, OnInstanceCmd cmd, const char * arg1, const char * arg2)
- Java : public static void send_cmd(long id, OnInstanceCmd cmd, String arg1, String arg2)

internal, do NOT use it

Operation send_cmd

Declaration :

- C++ : public: static void send_cmd(const void * id, OnInstanceCmd cmd, anItemKind arg1, const char * arg2)
- Java : public static void send_cmd(long id, OnInstanceCmd cmd, anItemKind arg1, String arg2)

internal, do NOT use it

Operation send_cmd

Declaration :

- C++ : public: static void send_cmd(const void * id, OnInstanceCmd cmd, anItemKind arg1, aRelationKind arg2, const void * id2)
- Java : public static void send_cmd(long id, OnInstanceCmd cmd, anItemKind arg1, aRelationKind arg2, long id2)

internal, do NOT use it

Operation send_cmd

Declaration :

- C++ : public: static void send_cmd(const void * id, OnInstanceCmd cmd, const void * id1)
- Java : public static void send_cmd(long id, OnInstanceCmd cmd, long id1)

internal, do NOT use it

Operation send_cmd

Declaration :

- C++ : public: static void send_cmd(const void * id, OnInstanceCmd cmd, const void * id1, const char * arg2)
- Java : public static void send_cmd(long id, OnInstanceCmd cmd, long id1, String arg2)

internal, do NOT use it

Operation send_cmd

Declaration :

- C++ : public: static void send_cmd(const void * id, OnInstanceCmd cmd, unsigned int arg1, const UmlTypeSpec & arg2)
- Java : public static void send_cmd(long id, OnInstanceCmd cmd, int arg1, UmlTypeSpec arg2)

internal, do NOT use it

Operation send_cmd

Declaration :

- C++ : public: static void send_cmd(const void * id, OnInstanceCmd cmd, unsigned int arg1, const char * arg2, const char * arg3, const UmlTypeSpec & arg4)
- Java : public static void send_cmd(long id, OnInstanceCmd cmd, int arg1, String arg2, String arg3, UmlTypeSpec arg4)

internal, do NOT use it

Operation send_cmd

Declaration :

- C++ : public: static void send_cmd(const void * id, OnInstanceCmd cmd, unsigned int arg1, char arg2, const char * arg3, const char * arg4, const UmlTypeSpec & arg5)
- Java : public static void send_cmd(long id, OnInstanceCmd cmd, int arg1, byte arg2, String arg3, String arg4, UmlTypeSpec arg5)

internal, do NOT use it

Operation send_cmd

Declaration :

- C++ : public: static void send_cmd(const void * id, OnInstanceCmd cmd, const QVector<UmlClass> & l)
- Java : public static void send_cmd(long id, OnInstanceCmd cmd, UmlClass[] l)

internal, do NOT use it

Operation send_cmd

Declaration :

- C++ : public: static void send_cmd(const void * id, OnInstanceCmd cmd, const QVector<UmlClass> & l1, const QVector<UmlClass> & l2, const QVector<UmlClass> & l3)
- Java : public static void send_cmd(long id, OnInstanceCmd cmd, UmlClass[] l1, UmlClass[] l2, UmlClass[] l3)

Operation send_cmd

Declaration :

- C++ : public: static void send_cmd(const void * id, OnInstanceCmd cmd, anItemKind arg, const void * id2)
- Java : public static void send_cmd(long id, OnInstanceCmd cmd, anItemKind arg, long id2)

internal, do NOT use it

Operation read_id

Declaration :

- C++ : public: static void * read_id()
- Java : public static long read_id()

internal, do NOT use it

Operation read_string

Declaration :

- C++ : public: static const char * read_string()
- Java : public static String read_string()

internal, do NOT use it

Operation read_bool

Declaration :

- C++ : public: static bool read_bool()
- Java : public static boolean read_bool()

internal, do NOT use it

Operation read_char

Declaration :

- C++ : public: static char read_char()
- Java : public static int read_char()

internal, do NOT use it

Operation read_unsigned

Declaration :

- C++ : public: static unsigned int read_unsigned()
- Java : public static int read_unsigned()

internal, do NOT use it

Operation read_item_list

Declaration :

- C++ : public: static void read_item_list(QVector<UmlItem> & v)
- Java : public static UmlItem[] read_item_list()

internal, do NOT use it

Operation fatal_error

Declaration :

- C++ : public: static void fatal_error(const QCString & msg)
- Java : public static void fatal_error(String msg)

internal, do NOT use it

Operation flush

Declaration :

- C++ : public: static void flush()
- Java : public static void flush()

internal, do NOT use it

Operation check

Declaration :

- Java : public static void check()

internal, do NOT use it

All public operations :

bye , check , close , connect , fatal_error , flush , message , read_bool , read_char , read_id , read_item_list , read_string , read_unsigned , send_cmd , send_cmd , send_cmd , send_cmd , send_cmd , send_cmd , send_cmd , send_cmd , send_cmd , send_cmd , send_cmd , send_cmd , send_cmd , send_cmd , send_cmd , send_cmd , send_cmd , send_cmd , send_cmd , send_cmd , send_cmd , send_cmd , send_cmd , targetItem , trace